summaryrefslogtreecommitdiffstats
path: root/test/hooks
diff options
context:
space:
mode:
Diffstat (limited to 'test/hooks')
-rw-r--r--test/hooks/pre-push9
1 files changed, 6 insertions, 3 deletions
diff --git a/test/hooks/pre-push b/test/hooks/pre-push
index 156b9664c..b7cb2e87b 100644
--- a/test/hooks/pre-push
+++ b/test/hooks/pre-push
@@ -16,7 +16,10 @@ read username
echo -n "Password for 'github': "
read password
-# echo "failed"
-# exit 1
+if [ "$username" = "username" -a "$password" = "password" ]; then
+ echo "success"
+ exit 0
+fi
-exit 0 \ No newline at end of file
+>&2 echo "incorrect username/password"
+exit 1